Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1741550 - tigervnc server fails to remove lock and unix domain socket files in /tmp if timers are used as they call exit(0) rhather than the destructor
Summary: tigervnc server fails to remove lock and unix domain socket files in /tmp if ...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: tigervnc
Version: 7.7
Hardware: All
OS: Linux
unspecified
high
Target Milestone: rc
: ---
Assignee: Jan Grulich
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-08-15 12:27 UTC by amit yadav
Modified: 2019-09-09 19:37 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-16 08:42:34 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description amit yadav 2019-08-15 12:27:15 UTC
Description of problem:
If Xvnc is launched with timers, it does not remove /tmp/.X<display>-lock file nor the unix domain socket in /tmp/.X11-unix/X<display>.

Version-Release number of selected component (if applicable):
tigervnc-server-minimal-1.8.0-17.el7.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Install the latest tigervnc server on RHEL7 (currently tigervnc-server-minimal-1.8.0-17.el7.x86_64)
2. Choose an unused X display number (15 for instance)
3. Make sure there is neither a /tmp/.X15-lock lock file nor /tmp/.X11-unix/X15 unix domain socket.
4. Launch the Xvnc with timers (60 seconds for maximum disconnection time, 90 seconds for maximum idle time):  

   $ Xvnc :15 -bs -nolisten tcp -verbose -localhost -MaxDisconnectionTime=60 -MaxIdleTime=90

5. Wait 60 second so that the Idle timer will be executed
6. Check whether /tmp/.X15-lock and /tmp/.X11-unix/X15 are still there.

Actual results:
There are leftover lock and unix domain socket files:

# ls -l /tmp/.X15-lock /tmp/.X11-unix/X15
srwxrwxrwx. 1 root root  0 Aug 15 09:17 /tmp/.X11-unix/X15
-r--r--r--. 1 root root 11 Aug 15 09:17 /tmp/.X15-lock

Expected results:
No /tmp/.X11-unix/X15 and /tmp/.X15-lock files.

Additional info:
It seems this has been fixed upstream in : https://github.com/TigerVNC/tigervnc/issues/727
I am able to reproduce the issue with tigervnc-server-minimal-1.9.0-3.fc29.x86_64 as well.

Comment 4 RHEL Program Management 2019-08-16 08:42:34 UTC
Development Management has reviewed and declined this request. You may appeal this decision by reopening this request.


Note You need to log in before you can comment on or make changes to this bug.